Doomsday Engine - Bug #1898

Multiplayer control issues
2014-11-18 12:34 - vermil

Status: Closed
Priority: Normal
Assignee: danij
Category: Regression

Target version:

Start date: 2014-11-18
% Done: 100%

Description
In the latest unstable (1416).

Jumping no longer appears to work in HeXen MP (jumping works in HeXen SP) or Heretic SP (Heretic MP is in functional at the

moment),

The right mouse button is incorrectly registered as the return key, when one tries to remap a control to it in the controls menu. Also,
pressing return (either the actual return key or right mouse button) also both binds a control and closes the controls menu.

Pressing use no longer respawns the player in MP; the attack key still does however.

Turning in HeXen MP has become very jittery (apologies for the un-technical description, but that's the best way to describe it).

Associated revisions

Revision 3fd09953 - 2014-11-19 04:38 - danij

Fixed|World|libcommon: Multiplayer control issues, binding widget deactivation

IssuelD #1898

History

#1 - 2014-11-18 15:18 - skyjake
- Tags set to Input, Bindings

- Category set to Regression

- Assignee set to danij

- Target version set to 49

#2 - 2014-11-18 20:40 - danij

- Subject changed from Various control issues to Multiplayer control issues

#3 - 2014-11-19 01:49 - danij

- Status changed from New to In Progress

#4 - 2014-11-19 02:37 - danij
- % Done changed from 0 to 10

#5 - 2014-11-19 02:39 - danij

vermil wrote:

right mouse button is incorrectly registered as the return key, when one tries to remap a control to it in the controls menu

A simple merge oversight due to that code having been moved in the master and rewritten in a work branch.

I'm now looking into the other issues, which | expect are due to some local/global player number mix up.

#6 - 2014-11-19 03:42 - danij

danij wrote:
I'm now looking into the other issues, which | expect are due to some local/global player number mix up.

The other issues were indeed due to a local/global player number mix up. Fix incoming...

#7 - 2014-11-19 03:42 - danij
- % Done changed from 10 to 50

#8 - 2014-11-19 04:40 - danij
- Status changed from In Progress to Closed

- % Done changed from 50 to 100

#9 - 2015-06-08 10:47 - skyjake
- Target version deleted (49)
